Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 22 May 2015 15:05:25 -0400

On 05/22/2015 02:53 PM, Oleh Krehel wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
>> Isn't it much easier (and cleaner) to set up Emacs to not use that
>> font for these characters?  There are quite a few good fonts out there
>> that support these symbols without such huge ascent/descent values,
>> just use them instead.
> 
> It may be, but I've noticed this problem a month ago with no idea how to
> fix it. And even now, I still have to research some more: find a good
> font and write down the needed setting. Most users won't go to such
> lengths to fix a visual bug, they'll just be silently annoyed and
> unhappy.

I agree with this statement. For the record, the correct invocation is

  (set-fontset-font fontset 'unicode (font-spec :name "Symbola") nil 'append)

and Symbola is in package ttf-ancient-fonts in Debian.

Clément.